%global srcname urwidtrees
%global sum Tree Widget Container API for the urwid toolkit
%global owner pazz
%global commit fbcb18332393ad90066ed59b0d5f498a2cd3766e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{srcname}
Version:        1.0
Release:        9.git%{shortcommit}%{?dist}
Summary:        %{sum}

License:        GPLv3+
                # PyPI release is not maintained by pazz, so let's stick with github
URL:            https://github.com/%{owner}/%{srcname}
Source0:        https://github.com/%{owner}/%{srcname}/archive/%{commit}/%{srcname}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel


%description
It uses an MVC approach and allows to build trees of widgets. Its design
goals are

 * clear separation classes that define, decorate and display trees of widgets
 * representation of trees by local operations on node positions
 * easy to use default implementation for simple trees
 * Collapses are considered decoration


%package -n python2-%{srcname}
Requires:       python2-urwid
# there is `import urwidtrees` in setup.py, which results into `import urwid`
BuildRequires:  python2-urwid

Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
It uses an MVC approach and allows to build trees of widgets. Its design
goals are

 * clear separation classes that define, decorate and display trees of widgets
 * representation of trees by local operations on node positions
 * easy to use default implementation for simple trees
 * Collapses are considered decoration


%package -n python3-%{srcname}
Requires:       python3-urwid
# there is `import urwidtrees` in setup.py, which results into `import urwid`
BuildRequires:  python3-urwid

Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
It uses an MVC approach and allows to build trees of widgets. Its design
goals are

 * clear separation classes that define, decorate and display trees of widgets
 * representation of trees by local operations on node positions
 * easy to use default implementation for simple trees
 * Collapses are considered decoration


%package -n python-%{srcname}-doc
BuildRequires:  python3-sphinx
Summary:        Documentation for %{srcname}
%description -n python-%{srcname}-doc
Development documentation for %{srcname}


%prep
%autosetup -n %{srcname}-%{commit}


%build
%py2_build
%py3_build
pushd docs/
make -e SPHINXBUILD=/usr/bin/sphinx-build-3 html
popd


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license LICENSE.md
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE.md
%{python3_sitelib}/*

%files -n python-%{srcname}-doc
%license LICENSE.md
%doc docs/build/html


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9.gitfbcb183
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0-8.gitfbcb183
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7.gitfbcb183
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0-6.gitfbcb183
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5.gitfbcb183
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-4.gitfbcb183
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0-3.gitfbcb183
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2.gitfbcb183
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Dec 10 2015 Tomas Tomecek <ttomecek@redhat.com> - 1.0-1.gitfbcb183
- initial build

